Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&construction_year_lt=1980&country_abbreviation=pl&estimate_monthly_heat_cost_sort=desc&page=1&property_type_eq=House&results_per_page=3&select=address,city,heating_type_first,construction_year,interior_sq_m,estimate_monthly_heat_cost,estimate_monthly_electrical_cost"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('construction_year_lt', '1980');
url.searchParams.set('country_abbreviation', 'pl');
url.searchParams.set('estimate_monthly_heat_cost_sort', 'desc');
url.searchParams.set('page', '1');
url.searchParams.set('property_type_eq', 'House');
url.searchParams.set('results_per_page', '3');
url.searchParams.set('select', 'address,city,heating_type_first,construction_year,interior_sq_m,estimate_monthly_heat_cost,estimate_monthly_electrical_cost');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 1.5899999,
"data": [
{
"address": "Ludwika Narbutta 19",
"city": "Warszawa",
"construction_year": 1928,
"estimate_monthly_electrical_cost": 220,
"estimate_monthly_heat_cost": 355,
"heating_type_first": "Hot water",
"interior_sq_m": 500.0,
"property_id": "a108e57516a50b45"
},
{
"address": "Romualda Traugutta 235",
"city": "Rydułtowy",
"construction_year": 1975,
"estimate_monthly_electrical_cost": 240,
"estimate_monthly_heat_cost": 354,
"heating_type_first": "Hot water",
"interior_sq_m": 150.0,
"property_id": "dc1641008b68c86d"
},
{
"address": "Wierzbowa 877",
"city": "Buczkowice",
"construction_year": 1974,
"estimate_monthly_electrical_cost": 240,
"estimate_monthly_heat_cost": 350,
"heating_type_first": "Hot water",
"interior_sq_m": 170.0,
"property_id": "c30e97d4746b99fd"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 321336
},
"price_quote": false,
"result_total": 964007,
"time_ms": 141,
"ui_info": {
"country": "Poland",
"country_abbreviation": "PL",
"country_abbreviation_id": "c0fda925c9d464d4",
"country_abbreviation_link": "pl",
"country_slug": "poland"
}
}